Skip to main content
GET
/
v4
/
booking-availability
/
user
/
{id}
/
timeframe
Get user availability for a specific timeframe
curl --request GET \
  --url https://api.example.com/v4/booking-availability/user/{id}/timeframe
{
  "hostId": "<string>",
  "available": [
    {
      "start": "<string>",
      "end": "<string>",
      "unavailabilityEvent": {
        "hostId": "<string>",
        "hostName": "<string>",
        "type": "event",
        "picture": "<string>"
      }
    }
  ],
  "unavailable": [
    {
      "start": "<string>",
      "end": "<string>",
      "unavailabilityEvent": {
        "hostId": "<string>",
        "hostName": "<string>",
        "type": "event",
        "picture": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.meetergo.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

User ID

Query Parameters

start
string
required

Start date and time in ISO format

end
string
required

End date and time in ISO format

meetingTypeId
string

Response

hostId
string
required
available
object[]
required
unavailable
object[]
required